Submitted By:            DJ Lucas
Date:                    2015-12-27
Initial Package Version: 228
Upstream Status:         Not applicable
Origin:                  Previous systemd compat patch by Douglas R. Reno
Description:             Make it install compat pkg-config files without
                         building compat-libs which are useless on LFS.

diff -Naurp systemd-228-orig/Makefile.am systemd-228/Makefile.am
--- systemd-228-orig/Makefile.am	2015-11-18 01:59:06.000000000 -0600
+++ systemd-228/Makefile.am	2015-12-27 02:29:19.006138225 -0600
@@ -3113,7 +3113,11 @@ INSTALL_EXEC_HOOKS += libsystemd-install
 UNINSTALL_EXEC_HOOKS += libsystemd-uninstall-hook
 
 pkgconfiglib_DATA += \
-	src/libsystemd/libsystemd.pc
+	src/libsystemd/libsystemd.pc \
+	src/compat-libs/libsystemd-journal.pc \
+	src/compat-libs/libsystemd-login.pc \
+	src/compat-libs/libsystemd-id128.pc \
+	src/compat-libs/libsystemd-daemon.pc
 
 pkginclude_HEADERS += \
 	src/systemd/sd-bus.h \
@@ -5770,12 +5774,6 @@ lib_LTLIBRARIES += \
 	libsystemd-id128.la \
 	libsystemd-daemon.la
 
-pkgconfiglib_DATA += \
-	src/compat-libs/libsystemd-journal.pc \
-	src/compat-libs/libsystemd-login.pc \
-	src/compat-libs/libsystemd-id128.pc \
-	src/compat-libs/libsystemd-daemon.pc
-
 # move lib from $(libdir) to $(rootlibdir) and update devel link, if needed
 compat-lib-install-hook:
 	libname=libsystemd-login.so && $(move-to-rootlibdir)
diff -Naurp systemd-228-orig/Makefile.in systemd-228/Makefile.in
--- systemd-228-orig/Makefile.in	2015-12-27 01:45:45.000000000 -0600
+++ systemd-228/Makefile.in	2015-12-27 02:40:17.714547345 -0600
@@ -1215,45 +1215,39 @@ systemgenerator_PROGRAMS = systemd-getty
 @HAVE_PAM_TRUE@	systemd-user-sessions.service
 
 @ENABLE_COMPAT_LIBS_TRUE@am__append_299 = \
-@ENABLE_COMPAT_LIBS_TRUE@	libsystemd-journal.c \
-@ENABLE_COMPAT_LIBS_TRUE@	libsystemd-login.c \
-@ENABLE_COMPAT_LIBS_TRUE@	libsystemd-id128.c \
-@ENABLE_COMPAT_LIBS_TRUE@	libsystemd-daemon.c
-
-@ENABLE_COMPAT_LIBS_TRUE@am__append_300 = \
 @ENABLE_COMPAT_LIBS_TRUE@	libsystemd-journal.la \
 @ENABLE_COMPAT_LIBS_TRUE@	libsystemd-login.la \
 @ENABLE_COMPAT_LIBS_TRUE@	libsystemd-id128.la \
 @ENABLE_COMPAT_LIBS_TRUE@	libsystemd-daemon.la
 
-@ENABLE_COMPAT_LIBS_TRUE@am__append_301 = \
+@ENABLE_COMPAT_LIBS_TRUE@am__append_300 = \
 @ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-journal.pc \
 @ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-login.pc \
 @ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-id128.pc \
 @ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-daemon.pc
 
-@ENABLE_COMPAT_LIBS_TRUE@am__append_302 = compat-lib-install-hook
-@ENABLE_COMPAT_LIBS_TRUE@am__append_303 = compat-lib-uninstall-hook
-@ENABLE_MANPAGES_TRUE@am__append_304 = \
+@ENABLE_COMPAT_LIBS_TRUE@am__append_301 = compat-lib-install-hook
+@ENABLE_COMPAT_LIBS_TRUE@am__append_302 = compat-lib-uninstall-hook
+@ENABLE_MANPAGES_TRUE@am__append_303 = \
 @ENABLE_MANPAGES_TRUE@	man/custom-entities.ent
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_305 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_304 = \
 @HAVE_SYSV_COMPAT_TRUE@	docs/sysvinit/README \
 @HAVE_SYSV_COMPAT_TRUE@	docs/var-log/README
 
-@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_306 = \
+@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_305 = \
 @HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@	systemd-update-utmp-runlevel.service
 
-@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_307 = \
+@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_306 = \
 @HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@	systemd-update-utmp-runlevel.service
 
-@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_308 = \
+@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_307 = \
 @HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@	systemd-update-utmp-runlevel.service
 
-@HAVE_UTMP_TRUE@am__append_309 = \
+@HAVE_UTMP_TRUE@am__append_308 = \
 @HAVE_UTMP_TRUE@	systemd-update-utmp.service
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_310 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_309 = \
 @HAVE_SYSV_COMPAT_TRUE@	poweroff.target runlevel0.target \
 @HAVE_SYSV_COMPAT_TRUE@	rescue.target runlevel1.target \
 @HAVE_SYSV_COMPAT_TRUE@	multi-user.target runlevel2.target \
@@ -1262,25 +1256,25 @@ systemgenerator_PROGRAMS = systemd-getty
 @HAVE_SYSV_COMPAT_TRUE@	graphical.target runlevel5.target \
 @HAVE_SYSV_COMPAT_TRUE@	reboot.target runlevel6.target
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_311 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_310 = \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel1.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel2.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel3.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel4.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel5.target.wants
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_312 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_311 = \
 @HAVE_SYSV_COMPAT_TRUE@	--with-sysvinit-path=$$dc_install_base/$(sysvinitdir) \
 @HAVE_SYSV_COMPAT_TRUE@	--with-sysvrcnd-path=$$dc_install_base/$(sysvrcnddir)
 
-@HAVE_SYSV_COMPAT_FALSE@am__append_313 = \
+@HAVE_SYSV_COMPAT_FALSE@am__append_312 = \
 @HAVE_SYSV_COMPAT_FALSE@	--with-sysvinit-path= \
 @HAVE_SYSV_COMPAT_FALSE@	--with-sysvrcnd-path=
 
-@ENABLE_SPLIT_USR_TRUE@am__append_314 = \
+@ENABLE_SPLIT_USR_TRUE@am__append_313 = \
 @ENABLE_SPLIT_USR_TRUE@	--enable-split-usr
 
-@ENABLE_SPLIT_USR_FALSE@am__append_315 = \
+@ENABLE_SPLIT_USR_FALSE@am__append_314 = \
 @ENABLE_SPLIT_USR_FALSE@	--disable-split-usr
 
 subdir = .
@@ -5029,10 +5023,10 @@ INSTALL_EXEC_HOOKS = install-target-want
 	install-touch-usr-hook install-busnames-target-wants-hook \
 	systemd-detect-virt-install-hook dbus1-generator-install-hook \
 	$(am__append_109) libsystemd-install-hook libudev-install-hook \
-	$(am__append_126) journal-install-hook $(am__append_302)
+	$(am__append_126) journal-install-hook $(am__append_301)
 UNINSTALL_EXEC_HOOKS = dbus1-generator-uninstall-hook \
 	libsystemd-uninstall-hook libudev-uninstall-hook \
-	journal-uninstall-hook $(am__append_303)
+	journal-uninstall-hook $(am__append_302)
 INSTALL_DATA_HOOKS = units-install-hook $(am__append_117) \
 	catalog-update-hook
 UNINSTALL_DATA_HOOKS = units-uninstall-hook catalog-remove-hook
@@ -5069,7 +5063,10 @@ include_HEADERS = src/libudev/libudev.h
 noinst_DATA = $(am__append_61) $(am__append_63)
 pkgconfigdata_DATA = src/core/systemd.pc src/udev/udev.pc
 pkgconfiglib_DATA = src/libsystemd/libsystemd.pc \
-	src/libudev/libudev.pc $(am__append_301)
+	src/compat-libs/libsystemd-journal.pc \
+	src/compat-libs/libsystemd-login.pc \
+	src/compat-libs/libsystemd-id128.pc \
+	src/compat-libs/libsystemd-daemon.pc src/libudev/libudev.pc
 polkitpolicy_in_in_files =  \
 	src/core/org.freedesktop.systemd1.policy.in.in
 polkitpolicy_in_files =  \
@@ -5173,7 +5170,7 @@ CLEANFILES = $(BUILT_SOURCES) $(pkgconfi
 	$(nodist_zshcompletion_DATA) $(am__append_62) $(am__append_64) \
 	$(gperf_txt_sources:-list.txt=-from-name.gperf) \
 	$(gperf_txt_sources) $(am__append_106) $(am__append_154) \
-	$(am__append_304) $(am__append_305) defined undefined \
+	$(am__append_303) $(am__append_304) defined undefined \
 	test-libsystemd-sym.c test-libudev-sym.c
 AM_CPPFLAGS = \
 	-include $(top_builddir)/config.h \
@@ -5251,7 +5248,7 @@ AM_LDFLAGS = $(OUR_LDFLAGS)
 # ------------------------------------------------------------------------------
 INSTALL_DIRS = $(am__append_88) $(am__append_92) \
 	$(sysconfdir)/udev/rules.d $(am__append_114) $(am__append_158) \
-	$(am__append_290) $(am__append_311) \
+	$(am__append_290) $(am__append_310) \
 	$(prefix)/lib/modules-load.d $(sysconfdir)/modules-load.d \
 	$(prefix)/lib/systemd/network $(sysconfdir)/systemd/network \
 	$(prefix)/lib/sysctl.d $(sysconfdir)/sysctl.d \
@@ -5266,9 +5263,9 @@ SHUTDOWN_TARGET_WANTS =
 LOCAL_FS_TARGET_WANTS = systemd-remount-fs.service tmp.mount \
 	var-lib-machines.mount
 MULTI_USER_TARGET_WANTS = $(am__append_291) $(am__append_298) \
-	$(am__append_306) getty.target systemd-ask-password-wall.path
-GRAPHICAL_TARGET_WANTS = $(am__append_307)
-RESCUE_TARGET_WANTS = $(am__append_308)
+	$(am__append_305) getty.target systemd-ask-password-wall.path
+GRAPHICAL_TARGET_WANTS = $(am__append_306)
+RESCUE_TARGET_WANTS = $(am__append_307)
 SYSINIT_TARGET_WANTS = $(am__append_71) $(am__append_78) \
 	$(am__append_80) $(am__append_85) $(am__append_91) \
 	$(am__append_95) systemd-machine-id-commit.service \
@@ -5277,7 +5274,7 @@ SYSINIT_TARGET_WANTS = $(am__append_71)
 	systemd-journal-flush.service \
 	systemd-journal-catalog-update.service $(am__append_159) \
 	$(am__append_163) $(am__append_171) $(am__append_180) \
-	$(am__append_309) systemd-update-done.service \
+	$(am__append_308) systemd-update-done.service \
 	dev-hugepages.mount dev-mqueue.mount sys-kernel-config.mount \
 	sys-kernel-debug.mount sys-fs-fuse-connections.mount \
 	systemd-sysctl.service systemd-ask-password-console.path
@@ -5296,7 +5293,7 @@ USER_BUSNAMES_TARGET_WANTS =
 SYSTEM_UNIT_ALIASES = $(am__append_187) $(am__append_198) \
 	$(am__append_209) $(am__append_233) $(am__append_240) \
 	$(am__append_252) $(am__append_271) $(am__append_292) \
-	$(am__append_310) graphical.target default.target \
+	$(am__append_309) graphical.target default.target \
 	reboot.target ctrl-alt-del.target getty@.service \
 	autovt@.service
 USER_UNIT_ALIASES = $(systemunitdir)/shutdown.target shutdown.target \
@@ -8935,8 +8932,8 @@ DISTCHECK_CONFIGURE_FLAGS =  \
 	--with-pamlibdir=$$dc_install_base/$(pamlibdir) \
 	--with-pamconfdir=$$dc_install_base/$(pamconfdir) \
 	--with-rootprefix=$$dc_install_base --enable-compat-libs \
-	$(am__append_312) $(am__append_313) $(am__append_314) \
-	$(am__append_315)
+	$(am__append_311) $(am__append_312) $(am__append_313) \
+	$(am__append_314)
 www_target = www.freedesktop.org:/srv/www.freedesktop.org/www/software/systemd
 OBJECT_VARIABLES := $(filter %_OBJECTS,$(.VARIABLES))
 ALL_OBJECTS := $(foreach v,$(OBJECT_VARIABLES),$($(v)))
